Package org.eclipse.mat.snapshot.model

## Class ObjectComparators

- java.lang.Object
- - org.eclipse.mat.snapshot.model.ObjectComparators

    public class ObjectComparators
    extends java.lang.Object

Factory of heap object comparators.

### Constructor Summary

Constructors
`ObjectComparators()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.util.Comparator<IObject>` `getComparatorForClassSpecificNameAscending()` Compare by class specific name ascending.
`static java.util.Comparator<IObject>` `getComparatorForClassSpecificNameDescending()` Compare by class specific name descending.
`static java.util.Comparator<IObject>` `getComparatorForRetainedHeapSizeAscending()` Compare by retained heap size ascending.
`static java.util.Comparator<IObject>` `getComparatorForRetainedHeapSizeDescending()` Compare by retained heap size descending.
`static java.util.Comparator<IObject>` `getComparatorForTechnicalNameAscending()` Compare by technical name ascending.
`static java.util.Comparator<IObject>` `getComparatorForTechnicalNameDescending()` Compare by technical name descending.
`static java.util.Comparator<IObject>` `getComparatorForUsedHeapSizeAscending()` Compare by used heap size ascending.
`static java.util.Comparator<IObject>` `getComparatorForUsedHeapSizeDescending()` Compare by user heap size descending.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectComparators

    public ObjectComparators()

### Method Detail

#### getComparatorForTechnicalNameAscending

    public static java.util.Comparator<IObject> getComparatorForTechnicalNameAscending()

Compare by technical name ascending.

Returns:
  the comparator

#### getComparatorForTechnicalNameDescending

    public static java.util.Comparator<IObject> getComparatorForTechnicalNameDescending()

Compare by technical name descending.

Returns:
  the comparator

#### getComparatorForClassSpecificNameAscending

    public static java.util.Comparator<IObject> getComparatorForClassSpecificNameAscending()

Compare by class specific name ascending.

Returns:
  the comparator

#### getComparatorForClassSpecificNameDescending

    public static java.util.Comparator<IObject> getComparatorForClassSpecificNameDescending()

Compare by class specific name descending.

Returns:
  the comparator

#### getComparatorForUsedHeapSizeAscending

    public static java.util.Comparator<IObject> getComparatorForUsedHeapSizeAscending()

Compare by used heap size ascending.

Returns:
  the comparator

#### getComparatorForUsedHeapSizeDescending

    public static java.util.Comparator<IObject> getComparatorForUsedHeapSizeDescending()

Compare by user heap size descending.

Returns:
  the comparator

#### getComparatorForRetainedHeapSizeAscending

    public static java.util.Comparator<IObject> getComparatorForRetainedHeapSizeAscending()

Compare by retained heap size ascending.

Returns:
  the comparator

#### getComparatorForRetainedHeapSizeDescending

    public static java.util.Comparator<IObject> getComparatorForRetainedHeapSizeDescending()

Compare by retained heap size descending.

Returns:
  the comparator